> ## Documentation Index
> Fetch the complete documentation index at: https://www.halite-app.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Templates Route



## OpenAPI

````yaml /api/openapi.json get /api/templates
openapi: 3.1.0
info:
  title: Halite
  version: 0.1.0
servers: []
security: []
paths:
  /api/templates:
    get:
      tags:
        - templates
      summary: List Templates Route
      operationId: list_templates_route_api_templates_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommandTemplateListOut'
components:
  schemas:
    CommandTemplateListOut:
      properties:
        total:
          type: integer
          title: Total
        templates:
          items:
            $ref: '#/components/schemas/CommandTemplateOut'
          type: array
          title: Templates
      type: object
      required:
        - total
        - templates
      title: CommandTemplateListOut
    CommandTemplateOut:
      properties:
        name:
          type: string
          maxLength: 100
          minLength: 1
          title: Name
        description:
          type: string
          maxLength: 500
          title: Description
          default: ''
        target:
          type: string
          maxLength: 1024
          minLength: 1
          title: Target
        target_type:
          type: string
          enum:
            - glob
            - list
            - pcre
            - grain
            - nodegroup
            - compound
          title: Target Type
          default: glob
        fun:
          type: string
          maxLength: 128
          minLength: 1
          title: Fun
        args:
          items:
            type: string
          type: array
          title: Args
          default: []
        kwargs:
          additionalProperties: true
          type: object
          title: Kwargs
        is_shared:
          type: boolean
          title: Is Shared
          default: false
        id:
          type: string
          format: uuid
          title: Id
        owner_user_id:
          type: string
          format: uuid
          title: Owner User Id
        owner_username:
          type: string
          title: Owner Username
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - name
        - target
        - fun
        - id
        - owner_user_id
        - owner_username
        - created_at
        - updated_at
      title: CommandTemplateOut

````